# LibraryLoader (server 1.1 API)
declaration: package: dev.plex.module.loader, class: LibraryLoader

Package dev.plex.module.loader

# Class LibraryLoader

java.lang.Object
dev.plex.module.loader.LibraryLoader

public class LibraryLoader extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`private final Logger`
`logger`
`private final List<org.eclipse.aether.repository.RemoteRepository>`
`repositories`
`private final org.eclipse.aether.RepositorySystem`
`repository`
`private final org.eclipse.aether.DefaultRepositorySystemSession`
`session`

## Constructor Summary

Constructors
Constructor
Description
`LibraryLoader(@NotNull Logger logger)`

## Method Summary

Modifier and Type
Method
Description
`@Nullable ClassLoader`
`createLoader(@NotNull PlexModule module, @NotNull PlexModuleFile moduleFile)`
`private ArrayList<String>`
`getClassNamesFromJar(JarFile file)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### logger

private final Logger logger

### repository

private final org.eclipse.aether.RepositorySystem repository

### session

private final org.eclipse.aether.DefaultRepositorySystemSession session

### repositories

private final List<org.eclipse.aether.repository.RemoteRepository> repositories

## Constructor Details

### LibraryLoader

public LibraryLoader(@NotNull @NotNull Logger logger)

## Method Details

### createLoader

@Nullable public @Nullable ClassLoader createLoader(@NotNull @NotNull PlexModule module, @NotNull @NotNull PlexModuleFile moduleFile)

### getClassNamesFromJar

private ArrayList<String> getClassNamesFromJar(JarFile file) throws Exception

Throws:
  `Exception`